# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require_relative 'lib/ttt/version'

Gem::Specification.new do |spec|
  spec.name          = "ttt-client"
  spec.version       = Ttt::Version::STRING
  spec.authors       = ["Josh Trommel"]
  spec.email         = ["joshtrommel@gmail.com"]

  spec.summary       = "The official Twitter CLI for Tech Teen Twitter"
  spec.description   = "Cross Tweetbot off your list. TTT is your Twitter CLI"
  spec.homepage      = "https://github.com/probablyjosh/ttt"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.executables   = ['ttt']
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'twitter', '~> 5.14', '>= 5.14.0'
  spec.add_runtime_dependency "commander", "~> 4.3.0", '>= 4.3.0'

  spec.add_development_dependency "bundler", "~> 1.8"
  spec.add_development_dependency "rake", "~> 10.0"
end
